{% extends "base.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>Tenant list for Cloud Owner "{{cloudowner}}" in Cloud Region "{{cloudregion}}" </h2>
    <a href="../../cloud_regions/cloud_region_delete?cloud_region_id={{cloudregion}}&cloud_owner={{cloudowner}}" class="btn btn-danger">Delete Cloud Region</a>
    <br>
    <br>
    <a href="../../tenants/tenant_create_form?cloud_region_id={{cloudregion}}&cloud_owner={{cloudowner}}" class="btn btn-primary btn-sm">Add tenant</a>
    <br>
    <br>
    {% if list_empty %}
        <div>
            <br>
            No tenant
        </div>
    {% else %}
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Name</th>
                        <th>Tenant Id</th>
                    </tr>
                </thead>
                <tbody>
                {% for tenant in tenants %}
                <tr>
                    <td><class="tenant" type="text" id="{{loop.index}}" name="{{loop.index}}" value="{{loop.index}}">{{loop.index}}</td>
                    <td><class="tenant" type="text" id="tenant_name_{{loop.index}}" name="tenant_{{loop.index}}" value="{{tenant['tenant-name']}}">{{tenant['tenant-name']}}</td>
                    <td><class="tenant" type="text" id="tenant_id_{{loop.index}}" name="tenant_id_{{loop.index}}" value="{{tenant['tenant-id']}}">{{tenant['tenant-id']}}</td>
                    <td>
                      <a href="../../tenants/tenant_delete?cloud_region_id={{cloudregion}}&cloud_owner={{cloudowner}}&tenant_id={{tenant['tenant-id']}}" class="btn btn-danger">Delete</a>
                    </td>
                </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    {% endif %}
</main>
{% endblock %}
